Name: zapping
Version: 0.5.92
Release: fr1
Summary: A TV viewer for GNOME.
Copyright: GPL
Group: Applications/Multimedia
Source: http://download.sourceforge.net/zapping/zapping-%{version}.tar.bz2
URL: http://zapping.sourceforge.net/
Buildroot: %{_tmppath}/%{name}-root
BuildPrereq: libglade-devel libxml-devel
PreReq: /sbin/install-info

Requires: gtk+ >= 1.2.6
Requires: gnome-libs >= 1.0.40
Requires: libxml >= 1.4.0
Requires: libglade >= 0.9
Requires: gdk-pixbuf >= 0.8
Requires: libunicode >= 0.4
Requires: /usr/bin/consolehelper

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System.  GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.

This is a TV viewer for the GNOME desktop. It has all the needed
features, plus extensibility through a plugin system.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
%makeinstall plugindir=%{buildroot}%{_libdir}/zapping/plugins
ln -fs consolehelper %{buildroot}%{_bindir}/zapping_setup_fb

%clean
rm -rf %{buildroot}

%files
%defattr (-, root, root)
%doc AUTHORS THANKS ChangeLog README* COPYING TODO BUGS
%doc po/zapping.pot
%config(noreplace) %{_sysconfdir}/pam.d/zapping_setup_fb
%config(noreplace) %{_sysconfdir}/security/console.apps/zapping_setup_fb
%{_bindir}/zapping
%{_bindir}/zapping_setup_fb
%{_sbindir}/zapping_setup_fb
%{_libdir}/zapping
%{_datadir}/zapping
%{_datadir}/gnome/help/zapping
%{_datadir}/pixmaps/zapping
%{_datadir}/gnome/apps/Multimedia/zapping.desktop
%{_datadir}/locale/*/*/*

%changelog
* Tue May 15 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Replaced the pre/post sections with a real links in the package.

* Fri Feb  2 2001 Tim Powers <timp@redhat.com>
- pamified zapping_setup_fb, now no need for suid root bits, and no
crippling of the app :)

* Thu Sep 12 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Removed the LibPng dependency, now libjpeg is used.

* Mon Sep 11 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Added the dependency to GdkPixbuf and LibPng

* Mon Jun 19 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Added the desktop entry and removed the specified --datadir

* Mon Jun 12 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Fixed, it didn't include the translations properly.

* Thu Jun 06 2000 Iaki Garca Etxebarria <garetxe@users.sourceforge.net>
- Created, it works fine.

